PDA

Visualizza la versione completa : Repository yum Fedora Core 3


Nophiq
09-08-2005, 14:03
Avrei urgentemente bisogno di avere dei repositori validi di yum per Fedora Core 3. Purtroppo quelli che ho io non vanno... :incupito:

Se siete disposti ad inviarmeli, a scriverli su questo topic, oppure a indicarmi la PRECISA locazione da dove scaricarli, ne sarei molto grato.

Vi ringrazio in anticipo

andy caps
09-08-2005, 18:04
http://aaltonen.us/archive/2004/11/13/yum-in-fedora-core-3/

dai un occhiata qui

perche non ti funziona yum ?

Nophiq
09-08-2005, 19:02
Grazie per il link, adesso ci do un'occhiata. Comunque Yum prima mi andava, ma siccome riuscivo ad installare pochi programmi ho provato a scancherarci un p... ed andata a finire male. :incupito:

Spero di risolvere il problema con il link al sito che mi hai dato.

:ciauz:

Nophiq
09-08-2005, 19:03
Questo qua il log:

[root@localhost ~]# yum update
Setting up Update Process
Setting up Repo: at-stable
repomd.xml 100% |=========================| 951 B 00:00
Setting up Repo: base
repomd.xml 100% |=========================| 1.1 kB 00:00
Setting up Repo: updates-released
Cannot open/read repomd.xml file for repository: updates-released
failure: repodata/repomd.xml from updates-released: [Errno 256] No more mirrorsto try.

andy caps
09-08-2005, 19:17
devi cambiare server nella repo updates-released


fai un file d testo con questo sotto e prova a sostiutuirlo
in /etc/yum.repos.d/





[updates-released]
name=Fedora Core $releasever - $basearch - Released Updates
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/updates/$releasever/$basearch/
mirrorlist=http://fedora.redhat.com/download/mirrors/updates-released-fc$releasever
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora

Nophiq
09-08-2005, 19:40
Troppo tardi, ho creato i nuovi file contententi ci che indicato nel link; ho poi creato anche updates-released.repo, ma questo il risultato:

[root@localhost ~]# yum install xmule
Repository updates-released already added, not adding again
Repository updates-released already added, not adding again
Setting up Install Process
Setting up Repo: development
repomd.xml 100% |=========================| 1.1 kB 00:00
Setting up Repo: core
repomd.xml 100% |=========================| 951 B 00:00
Setting up Repo: dag
repomd.xml 100% |=========================| 1.1 kB 00:00
Setting up Repo: livna
repomd.xml 100% |=========================| 951 B 00:00
Setting up Repo: freshrpms
repomd.xml 100% |=========================| 951 B 00:00
Setting up Repo: base
repomd.xml 100% |=========================| 1.1 kB 00:00
Setting up Repo: updates
repomd.xml 100% |=========================| 951 B 00:00
Setting up Repo: updates-released
repomd.xml 100% |=========================| 951 B 00:00
Setting up Repo: root@beta ~
Cannot find a valid baseurl for repo: root@beta ~

andy caps
09-08-2005, 21:26
repo: root@beta pu darsi che sia un serve dismesso
comunque gia dal nome non utilissimo

mettilo su 0 e escludila

enabled=0

con quelle che hai messo hai gia' tutto

Nophiq
10-08-2005, 18:22
Ho risolto il problema e finalmente yum va! Grazie mille per l'aiuto Andy Caps, non sai quanti problemi mi hai risolto...

PERO'...
Ho provato ad installare mysql-server e dopo un p di tempo mi da quest'errore:

--> Processing Conflict: python-devel conflicts python< 2.4.1-2
Traceback (most recent call last):
File "/usr/bin/yum", line 8, in ?
yummain.main(sys.argv[1:])
File "/usr/share/yum-cli/yummain.py", line 104, in main
(result, resultmsgs) = base.buildTransaction()
File "/usr/lib/python2.3/site-packages/yum/__init__.py", line 174, in buildTransaction
(rescode, restring) = self.resolveDeps()
File "/usr/lib/python2.3/site-packages/yum/depsolve.py", line 190, in resolveDeps
(checkdep, missing, conflict, errormsgs) = self._processConflict(dep)
File "/usr/lib/python2.3/site-packages/yum/depsolve.py", line 492, in _processConflict
uplist = self.up.getUpdatesList(name=confname)
UnboundLocalError: local variable 'confname' referenced before assignment

:incupito:

Cosa devo andare a modificare???

:ciauz:

andy caps
10-08-2005, 19:40
guarda se ti fa aggiornare python 2.4.1-2 prima o dai un

yum ugrade


che ti aggiorna tutto il sistema

se hai troppi file da aggiornare non gestisce le dipendenze correttamente

Nophiq
11-08-2005, 12:09
Qui c' qualcosa che no va:

--> Processing Conflict: python-devel conflicts python< 2.4.1-2
Traceback (most recent call last):
File "/usr/bin/yum", line 8, in ?
yummain.main(sys.argv[1:])
File "/usr/share/yum-cli/yummain.py", line 104, in main
(result, resultmsgs) = base.buildTransaction()
File "/usr/lib/python2.3/site-packages/yum/__init__.py", line 174, in buildTransaction
(rescode, restring) = self.resolveDeps()
File "/usr/lib/python2.3/site-packages/yum/depsolve.py", line 190, in resolveDeps
(checkdep, missing, conflict, errormsgs) = self._processConflict(dep)
File "/usr/lib/python2.3/site-packages/yum/depsolve.py", line 492, in _processConflict
uplist = self.up.getUpdatesList(name=confname)
UnboundLocalError: local variable 'confname' referenced before assignment

Questo problema mi salta fuori facendo:
# yum update python
# yum update python 2.4.1-2
# yum update python-devel

Qualcuno ha qualche suggermento?

Loading